### Work With Image

#### English

This Python library, `workwithimage`, allows you to work with images. Features available in this version:
- Converting an image into ASKII art
- Image resolution changes

#### Installation

```bash
pip install workwithimage
```

#### Converting an image to ASKII art

```python
from workwithimage import convert_to_ascii

# Example usage
image_path = "your_image.jpg"
columns = 150
ascii_image = convert_to_ascii(image_path, columns)
print(ascii_image)

# Save to file
with open("output.txt", "w") as file:
    file.write(ascii_image)
```

#### Image Resolution Adjustment

```python
from workwithimage import resize_image

# Example usage
image_path = "your_image.jpg"
new_width = 800
new_height = 600
resized_image = resize_image(image_path, new_width, new_height)
resized_image.show()  # Show the resized image
```

#### Supported Image Formats

- JPEG
- PNG
- GIF
- BMP
- TIFF
- WebP
- ICO
- and more

#### Important Notes

- The library supports various image formats; check Pillow documentation for the complete list.
- Adjust the `columns` parameter for desired output width.

---

#### Russian

Библиотека на Python, `workwithimage`, позволяет работать с изображениями. Функции доступные в данной версии:
- Перобразование изображения в ASKII-арт
- Изменения разрешения изображения


#### Установка

```bash
pip install workwithimage
```

#### Перобразование изображения в ASKII-арт

```python
from workwithimage import convert_to_ascii

# Пример использования
image_path = "ваше_изображение.jpg"
columns = 150
ascii_image = convert_to_ascii(image_path, columns)
print(ascii_image)

# Сохранение в файл
with open("output.txt", "w") as file:
    file.write(ascii_image)
```

#### Изменение разрешения изображения

```python
from workwithimage import resize_image

# Пример использования
image_path = "ваше_изображение.jpg"
new_width = 800
new_height = 600
resized_image = resize_image(image_path, new_width, new_height)
resized_image.show()  # Показать изменённое изображение
```

#### Поддерживаемые форматы изображений

- JPEG
- PNG
- GIF
- BMP
- TIFF
- WebP
- ICO
- и другие

#### Важные замечания

- Библиотека поддерживает различные форматы изображений; проверьте документацию Pillow для полного списка.
- Измените параметр `columns` для получения нужной ширины вывода.
